# GraphicVector Class Reference

`#include <graphicvector.h>`

List of all members.

## Public Member Functions

| GraphicVector (QCanvas *)
void | setDirection (double, double, double, double)
void | advance (int)

## Public Attributes

double | len
double | startx
double | starty
double | endx
double | endy

## Detailed Description

Graphical vector line

Author:
  Samuele Catuzzi

## Member Function Documentation

void GraphicVector::advance | ( | int |  | ) |

The documentation for this class was generated from the following files:

- /home/samy/kbilliards/src/graphicvector.h
- /home/samy/kbilliards/src/graphicvector.cpp